.PHONY: all

ifeq ($(SOURCES_DIR),)
all: tolpc #rs232_lt
else
# if called from OMK
all:
	$(MAKE) -C $(SOURCES_DIR) SOURCES_DIR='' all
endif

# if called from OMK
binary-pass: all
check-dir include-pass library-pass utils-pass default-config-pass:

#all: tolpc lpcerm
 
CFLAGS=-O0 -Wall -g
LDFLAGS=-g -lbfd

tolpc: tolpc.o tolpc_fn.o uuencode.o load_bfd.o

hiterm: hiterm.o tolpc_fn.o

rs232_lt: rs232_lt.o tolpc_fn.o
	$(CC) $(LDFLAGS) $(CFLAGS) -lncurses -o $@ $^
 
clean:
	rm -f *.o
